Bug 171215 - Snapshots are no longer displayed by default by 'lvs'
Snapshots are no longer displayed by default by 'lvs'
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
RHEL4U3NAK
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 11:20 EDT by Mike Snitzer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-21 12:10:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Snitzer 2005-10-19 11:20:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
RHEL4 U2's lvm2 package seems to have regressed in the area of snapshot information access.  Upgrading from lvm2 2.01.08-1.0.RHEL4 to 2.01.14-2.0.RHEL4 causes useful 'lvs' snapshot LV information to go away.

Running lvs does not display the snapshots of an LV as LVs themselves.  As a result Snap% et. al. for a given snapshot LV are inaccessible.  I've tested this with both 2.6.9-11.EL and 2.6.9-22.EL kernels.

Version-Release number of selected component (if applicable):
lvm2-2.01.14-2.0.RHEL4

How reproducible:
Always

Steps to Reproduce:
upgrade from lvm2 2.01.08-1.0.RHEL4 to 2.01.14-2.0.RHEL4


Actual Results:  Using RHEL4 U2's lvm2-2.01.14-2.0.RHEL4 (note the lack of snapshot LVs being displayed.  Also 'lvs' doesn't seem to even consider a specified valid snapshot LV as an LV at all):

snitm@mojo:~> sudo lvs
  LV      VG      Attr   LSize  Origin Snap%  Move Log Copy%
  test_lv test_vg owi-a- 40.00M
snitm@mojo:~> sudo lvs test_vg/test_lv_snap0
snitm@mojo:~> sudo lvs test_vg/test_lv_snap1


Expected Results:  Using RHEL4 U1's lvm2-2.01.08-1.0.RHEL4:

snitm@mojo:~> sudo lvs
  LV            VG      Attr   LSize  Origin  Snap%  Move Copy%
  test_lv       test_vg owi-a- 40.00M
  test_lv_snap0 test_vg swi-a- 10.00M test_lv   0.39
  test_lv_snap1 test_vg swi-a- 10.00M test_lv   0.39
snitm@mojo:~> sudo lvs test_vg/test_lv_snap0
  LV            VG      Attr   LSize  Origin  Snap%  Move Copy%
  test_lv_snap0 test_vg swi-a- 10.00M test_lv   0.39
snitm@mojo:~> sudo lvs test_vg/test_lv_snap1
  LV            VG      Attr   LSize  Origin  Snap%  Move Copy%
  test_lv_snap1 test_vg swi-a- 10.00M test_lv   0.39



Additional info:
Comment 1 Alasdair Kergon 2005-10-19 12:45:16 EDT
Use 'lvs -a' to see them for now.

This is fixed upstream so be picked up by U3.

Note You need to log in before you can comment on or make changes to this bug.